#############################################################################
##
#A  upperbd3.g 		        GUAVA library                   Reinald Baart
#A                                                       & Jasper Cramwinckel
#A                                                          & Erik Roijackers
##
##  This file contains a reference and an upper bound on the minimum distance
##  of a linear code over GF(3) of given word length and dimension.
##
#H  @(#)$Id: upperbd3.g,v 1.1.1.1 1998/03/19 17:31:45 lea Exp $
##
#Y  Copyright (C)  1994,  Vakgroep Algemene Wiskunde,  T.U. Delft,  Nederland
##
#H  CJ, 17 May 2006
#H  Updated lower- and upper-bounds of minimum distance for GF(2),
#H  GF(3) and GF(4) codes. (Brouwer's table as of 11 May 2006)
#H
#H  $Log: upperbd3.g,v $
#H  Revision 1.1.1.1  1998/03/19 17:31:45  lea
#H  Initial version of GUAVA for GAP4.  Development still under way. 
#H  Lea Ruscio 19/3/98
#H
#H
#H  Revision 1.2  1997/01/20 15:34:43  werner
#H  Upgrade from Guava 1.2 to Guava 1.3 for GAP release 3.4.4.
#H
#H  Revision 1.1  1994/11/10  14:29:23  rbaart
#H  Initial revision
#H
##
GUAVA_TEMP_VAR := [
[ 15,  8,  5, "vE2"],
[ 15,  9,  4, "vE2"],
[ 16,  6,  7, "vE2"],
[ 16,  7,  6, "vE2"],
[ 21,  4, 12, "HN"],
[ 21, 16,  3, "Pel"],
[ 24,  8, 11, "BS"],
[ 25, 13,  8, "LP"],
[ 28,  6, 15, "HHM"],
[ 33, 18,  9, "LP"],
[ 35,  6, 20, "Bou"],
[ 37,  6, 21, "Bou"],
[ 37, 12, 17, "LP"],
[ 40,  5, 24, "vE1"],
[ 40, 27,  8, "LP"],
[ 42, 21, 14, "BKn"],
[ 46,  8, 26, "Gur"],
[ 47,  6, 28, "HJ"],
[ 50,  5, 31, "EHW"],
[ 50,  6, 30, "HJL"],
[ 50, 28, 14, "BKn"],
[ 51, 40,  6, "BKn"],
[ 53, 39,  8, "sp"],
[ 54, 28, 17, "LP"],
[ 55,  8, 32, "Gur"],
[ 55,  9, 31, "Gur"],
[ 55, 16, 26, "BKn"],
[ 55, 30, 16, "BKn"],
[ 56, 39, 10, "LP"],
[ 57, 49,  4, "Jo"],
[ 58,  7, 35, "BKn"],
[ 59, 24, 23, "BKn"],
[ 60, 22, 25, "BKn"],
[ 60, 40, 12, "BKn"],
[ 61, 17, 29, "BKn"],
[ 61, 30, 20, "LP"],
[ 62, 10, 35, "Gur"],
[ 62, 14, 32, "BKn"],
[ 64, 17, 31, "BKn"],
[ 64, 30, 22, "BKn"],
[ 64, 38, 16, "BKn"],
[ 65, 14, 34, "BKn"],
[ 65, 42, 14, "sp"],
[ 66, 26, 26, "BKn"],
[ 67,  7, 41, "BKn"],
[ 67, 17, 33, "BKn"],
[ 67, 38, 18, "BKn"],
[ 68, 11, 38, "Gur"],
[ 69,  6, 43, "Ma"],
[ 69,  7, 42, "Gur"],
[ 69, 16, 35, "LP"],
[ 69, 20, 32, "BKn"],
[ 69, 51, 10, "BKn"],
[ 69, 54,  8, "BKn"],
[ 70, 14, 37, "BKn"],
[ 71,  5, 45, "HW1"],
[ 71, 11, 40, "Gur"],
[ 71, 35, 23, "LP"],
[ 71, 39, 20, "BKn"],
[ 71, 50, 12, "BKn"],
[ 72, 20, 34, "BKn"],
[ 72, 33, 25, "LP"],
[ 73,  8, 44, "LP"],
[ 73, 14, 39, "BKn"],
[ 73, 28, 29, "BKn"],
[ 73, 38, 22, "LP"],
[ 74, 11, 42, "Da"],
[ 74, 23, 33, "BKn"],
[ 74, 26, 31, "BKn"],
[ 74, 62,  6, "Jo"],
[ 75,  5, 48, "HN"],
[ 75, 17, 38, "Da"],
[ 75, 51, 14, "BKn"],
[ 76, 14, 41, "BKn"],
[ 77, 11, 44, "BKn"],
[ 77, 23, 35, "Da"],
[ 77, 39, 24, "LP"],
[ 78, 17, 40, "Da"],
[ 78, 21, 37, "LP"],
[ 78, 31, 30, "LP"],
[ 78, 37, 26, "LP"],
[ 78, 47, 19, "LP"],
[ 78, 48, 18, "LP"],
[ 78, 51, 16, "LP"],
[ 79, 14, 43, "BKn"],
[ 79, 15, 42, "Da"],
[ 79, 35, 28, "LP"],
[ 80, 11, 46, "BKn"],
[ 80, 20, 39, "Da"],
[ 80, 30, 32, "LP"],
[ 80, 47, 20, "LP"],
[ 81,  6, 51, "Ma"],
[ 81, 18, 41, "Da"],
[ 82,  8, 50, "BKn"],
[ 82, 15, 44, "Da"],
[ 82, 26, 36, "Da"],
[ 82, 29, 34, "LP"],
[ 83, 11, 48, "BKn"],
[ 83, 21, 40, "Da"],
[ 83, 24, 38, "Da"],
[ 83, 46, 23, "LP"],
[ 84, 13, 47, "LP"],
[ 84, 18, 43, "Da"],
[ 84, 44, 25, "LP"],
[ 85,  8, 52, "BKn"],
[ 85, 33, 33, "LP"],
[ 85, 36, 31, "LP"],
[ 85, 39, 29, "LP"],
[ 85, 42, 27, "LP"],
[ 86, 11, 50, "BKn"],
[ 86, 12, 49, "Da"],
[ 86, 15, 46, "Da"],
[ 86, 21, 42, "Da"],
[ 86, 64, 12, "Jo"],
[ 87, 18, 45, "Da"],
[ 87, 32, 35, "LP"],
[ 87, 68, 10, "sp"],
[ 88, 27, 39, "Da"],
[ 88, 30, 37, "LP"],
[ 88, 63, 14, "sp"],
[ 89, 11, 52, "BKn"],
[ 89, 12, 51, "BKn"],
[ 89, 21, 44, "Da"],
[ 89, 25, 41, "Da"],
[ 89, 47, 26, "LP"],
[ 90, 15, 49, "Da"],
[ 91,  8, 56, "BKn"],
[ 91, 24, 43, "Da"],
[ 91, 37, 34, "LP"],
[ 91, 40, 32, "LP"],
[ 91, 46, 28, "LP"],
[ 91, 63, 16, "Jo"],
[ 91, 75,  8, "sp"],
[ 92, 12, 53, "Da"],
[ 92, 18, 48, "Da"],
[ 92, 22, 45, "Da"],
[ 92, 35, 36, "LP"],
[ 93,  5, 60, "HH"],
[ 93, 15, 51, "Da"],
[ 93, 30, 40, "LP"],
[ 93, 45, 30, "LP"],
[ 94,  8, 58, "BKn"],
[ 94, 28, 42, "Da"],
[ 94, 34, 38, "LP"],
[ 94, 58, 22, "sp"],
[ 95, 11, 56, "BKn"],
[ 95, 12, 55, "BKn"],
[ 95, 18, 50, "Da"],
[ 95, 22, 47, "Da"],
[ 95, 64, 18, "sp"],
[ 96,  6, 61, "Gur"],
[ 96, 15, 53, "Da"],
[ 96, 27, 44, "Da"],
[ 97, 21, 49, "Da"],
[ 97, 25, 46, "Da"],
[ 98, 10, 59, "LP"],
[ 98, 11, 58, "BKn"],
[ 98, 12, 57, "BKn"],
[ 98, 18, 52, "Da"],
[ 98, 19, 51, "Da"],
[ 98, 39, 37, "LP"],
[ 98, 42, 35, "LP"],
[ 98, 45, 33, "LP"],
[ 99, 15, 55, "Da"],
[ 99, 16, 54, "Da"],
[ 99, 31, 43, "LP"],
[ 99, 34, 41, "LP"],
[ 99, 37, 39, "LP"],
[ 99, 65, 20, "sp"],
[ 99, 90,  4, "Jo"],
[100,  8, 62, "BKn"],
[100, 12, 58, "BKn"],
[100, 22, 50, "Da"],
[100, 25, 48, "Da"],
[101, 11, 60, "BKn"],
[101, 19, 53, "LP"],
[101, 30, 45, "LP"],
[102, 15, 57, "LP"],
[102, 16, 56, "LP"],
[102, 28, 47, "LP"],
[103, 12, 60, "BKn"],
[103, 22, 52, "LP"],
[103, 26, 49, "LP"],
[103, 77, 14, "sp"],
[103, 80, 12, "sp"],
[104, 11, 62, "BKn"],
[104, 19, 55, "LP"],
[104, 37, 42, "LP"],
[104, 40, 40, "LP"],
[104, 43, 38, "LP"],
[104, 67, 22, "sp"],
[104, 75, 16, "sp"],
[105,  6, 67, "DM5"],
[105, 15, 59, "BKn"],
[105, 16, 58, "LP"],
[105, 25, 51, "LP"],
[105, 35, 44, "LP"],
[105, 47, 36, "LP"],
[106, 12, 62, "BKn"],
[106, 19, 56, "LP"],
[106, 22, 54, "LP"],
[107, 10, 65, "LP"],
[107, 11, 64, "BKn"],
[107, 31, 48, "LP"],
[107, 34, 46, "LP"],
[107, 75, 18, "sp"],
[107, 87, 10, "Jo"],
[107, 94,  6, "sp"],
[108,  6, 69, "Ma"],
[108, 15, 61, "LP"],
[108, 16, 60, "LP"],
[108, 25, 53, "LP"],
[108, 29, 50, "LP"],
[108, 68, 24, "sp"],
[109,  8, 68, "BKn"],
[109,  9, 67, "BKn"],
[109, 12, 64, "BKn"],
[109, 19, 58, "LP"],
[109, 23, 55, "LP"],
[110, 11, 66, "BKn"],
[110, 16, 61, "LP"],
[110, 28, 52, "LP"],
[110, 38, 45, "LP"],
[110, 41, 43, "LP"],
[110, 47, 39, "LP"],
[110, 75, 20, "sp"],
[111, 15, 63, "LP"],
[111, 22, 57, "LP"],
[111, 26, 54, "LP"],
[112,  8, 70, "LP"],
[112,  9, 69, "LP"],
[112, 12, 66, "LP"],
[112, 19, 60, "LP"],
[112, 34, 49, "LP"],
[112, 37, 47, "LP"],
[112, 46, 41, "LP"],
[113, 11, 68, "LP"],
[113, 14, 65, "LP"],
[113, 15, 64, "LP"],
[113, 16, 63, "LP"],
[113, 29, 53, "LP"],
[113, 32, 51, "LP"],
[113, 70, 26, "sp"],
[114, 22, 59, "LP"],
[114, 23, 58, "LP"],
[114, 26, 56, "LP"],
[114, 76, 22, "sp"],
[115,  9, 71, "LP"],
[115, 12, 68, "LP"],
[115, 13, 67, "LP"],
[115, 19, 62, "LP"],
[115, 20, 61, "LP"],
[115, 41, 46, "LP"],
[116, 11, 70, "LP"],
[116, 15, 66, "LP"],
[116, 16, 65, "LP"],
[116, 26, 57, "LP"],
[116, 29, 55, "LP"],
[116, 45, 44, "LP"],
[116, 51, 40, "LP"],
[117, 23, 60, "LP"],
[117, 37, 50, "LP"],
[117, 40, 48, "LP"],
[118,  8, 74, "LP"],
[118, 12, 70, "LP"],
[118, 13, 69, "LP"],
[118, 19, 64, "LP"],
[118, 20, 63, "LP"],
[118, 32, 54, "LP"],
[118, 35, 52, "LP"],
[118, 72, 28, "sp"],
[118, 77, 24, "sp"],
[119, 15, 68, "LP"],
[119, 16, 67, "LP"],
[119, 26, 59, "LP"],
[119, 51, 42, "LP"],
[119, 89, 16, "sp"],
[119,102,  8, "sp"],
[120,  9, 74, "Gur"],
[120, 23, 62, "LP"],
[120, 87, 18, "sp"],
[120, 93, 14, "sp"],
[121,  8, 76, "LP"],
[121, 12, 72, "LP"],
[121, 13, 71, "LP"],
[121, 19, 66, "LP"],
[121, 20, 65, "LP"],
[121, 29, 58, "LP"],
[121, 32, 56, "LP"],
[121, 45, 47, "LP"],
[122, 15, 70, "LP"],
[122, 16, 69, "LP"],
[122, 17, 68, "LP"],
[122, 26, 61, "LP"],
[122, 40, 51, "LP"],
[122, 43, 49, "LP"],
[122, 78, 26, "Jo"],
[122, 86, 20, "Jo"],
[123, 19, 67, "LP"],
[123, 23, 64, "LP"],
[123, 38, 53, "LP"],
[123, 99, 12, "Jo"],
[124,  8, 78, "LP"],
[124,  9, 77, "LP"],
[124, 10, 76, "LP"],
[124, 12, 74, "LP"],
[124, 13, 73, "LP"],
[124, 16, 70, "LP"],
[124, 21, 66, "LP"],
[124, 29, 60, "LP"],
[124, 36, 55, "LP"],
[125, 15, 72, "LP"],
[125, 23, 65, "LP"],
[125, 26, 63, "LP"],
[125, 27, 62, "LP"],
[126, 12, 75, "LP"],
[126, 19, 69, "LP"],
[126, 20, 68, "LP"],
[126, 32, 59, "LP"],
[126, 35, 57, "LP"],
[126, 87, 22, "sp"],
[127,  8, 80, "LP"],
[127,  9, 79, "LP"],
[127, 10, 78, "LP"],
[127, 16, 72, "LP"],
[127, 26, 64, "LP"],
[127, 30, 61, "LP"],
[127, 43, 52, "LP"],
[127, 46, 50, "LP"],
[127, 80, 28, "sp"],
[128, 15, 74, "LP"],
[128, 23, 67, "LP"],
[128, 41, 54, "LP"],
[128, 50, 48, "LP"],
[128, 76, 32, "sp"],
[129, 12, 77, "LP"],
[129, 13, 76, "LP"],
[129, 19, 71, "LP"],
[129, 20, 70, "LP"],
[129, 36, 58, "LP"],
[129, 39, 56, "LP"],
[129, 87, 24, "sp"],
[130, 10, 80, "LP"],
[130, 16, 74, "LP"],
[130, 26, 66, "LP"],
[130, 27, 65, "LP"],
[130, 30, 63, "LP"],
[131, 18, 73, "Gur"],
[131, 23, 69, "LP"],
[131, 24, 68, "LP"],
[132, 12, 79, "LP"],
[132, 13, 78, "LP"],
[132, 20, 72, "LP"],
[132, 33, 62, "LP"],
[132, 36, 60, "LP"],
[132, 82, 30, "sp"],
[133,  9, 83, "Da2"],
[133, 16, 76, "Gur"],
[133, 17, 75, "Gur"],
[133, 78, 34, "Jo"],
[133, 88, 26, "sp"],
[133,112, 10, "sp"],
[134, 11, 82, "Da2"],
[134, 23, 71, "Da2"],
[134, 24, 70, "Da2"],
[135,  9, 84, "Gur"],
[135, 12, 81, "Gur"],
[135, 13, 80, "Gur"],
[135, 20, 74, "Da2"],
[135, 21, 73, "Da2"],
[135,101, 18, "Jo"],
[136,  6, 88, "Ha"],
[136,  8, 86, "Gur"],
[136, 16, 78, "Gur"],
[136, 17, 77, "Gur"],
[136, 23, 72, "Da2"],
[136, 99, 20, "sp"],
[136,105, 16, "sp"],
[137, 20, 75, "Da2"],
[137, 84, 32, "sp"],
[137, 89, 28, "sp"],
[137,130,  3, "BEH"],
[138,  9, 86, "Gur"],
[138, 12, 83, "Da2"],
[138, 13, 82, "Gur"],
[138, 98, 22, "sp"],
[139,  8, 88, "Da2"],
[139, 16, 80, "Gur"],
[139, 17, 79, "Gur"],
[139, 23, 74, "Da2"],
[139, 24, 73, "Da2"],
[140, 20, 77, "Da2"],
[140,112, 14, "sp"],
[141,  9, 88, "Gur"],
[141, 12, 85, "Gur"],
[141, 13, 84, "Gur"],
[141, 90, 30, "Jo"],
[141, 98, 24, "sp"],
[142, 16, 82, "Gur"],
[142, 17, 81, "Gur"],
[142, 23, 76, "Da2"],
[142, 24, 75, "Da2"],
[142, 86, 34, "sp"],
[143,  5, 93, "Lan"],
[143, 19, 80, "Da2"],
[143, 21, 78, "Da2"],
[144,  9, 90, "Gur"],
[144, 12, 87, "Gur"],
[144, 13, 86, "Da2"],
[144, 17, 82, "Gur"],
[144, 98, 26, "sp"],
[145,  8, 92, "Gur"],
[145, 15, 85, "Da9"],
[145, 16, 84, "Gur"],
[145, 24, 77, "Da9"],
[146, 13, 87, "Gur"],
[146, 20, 81, "Da2"],
[146, 21, 80, "Da2"],
[146, 92, 32, "sp"],
[147,  5, 96, "Lg"],
[147,  9, 92, "Gur"],
[147, 12, 89, "Gur"],
[147, 16, 85, "Gur"],
[147, 17, 84, "Gur"],
[148, 25, 78, "Da9"],
[148, 99, 28, "sp"],
[148,123, 12, "sp"],
[149, 13, 89, "Gur"],
[149, 20, 83, "Da2"],
[149, 21, 82, "Da2"],
[150,  9, 94, "Da2"],
[150, 12, 91, "Gur"],
[150, 16, 87, "Gur"],
[150, 17, 86, "Gur"],
[150, 23, 81, "Da2"],
[150, 24, 80, "Da9"],
[150, 93, 34, "Jo"],
[151, 20, 84, "Da2"],
[151,113, 20, "Jo"],
[152, 13, 91, "Gur"],
[152, 90, 38, "sp"],
[152,100, 30, "sp"],
[152,111, 22, "sp"],
[152,117, 18, "Jo"],
[153,  9, 96, "Gur"],
[153, 12, 93, "Gur"],
[153, 16, 89, "Gur"],
[153, 17, 88, "Gur"],
[153, 23, 83, "Da2"],
[153, 24, 82, "Da9"],
[154,  6,100, "Ha"],
[154,  8, 98, "Gur"],
[154, 20, 86, "Da2"],
[154, 21, 85, "Da2"],
[154,110, 24, "sp"],
[154,140,  6, "sp"],
[155, 13, 93, "Gur"],
[155, 95, 36, "Jo"],
[156,  9, 98, "Gur"],
[156, 12, 95, "Gur"],
[156, 16, 91, "Gur"],
[156, 17, 90, "Gur"],
[156, 24, 84, "Da9"],
[156, 25, 83, "Da9"],
[156,101, 32, "sp"],
[156,109, 26, "sp"],
[156,124, 16, "sp"],
[156,138,  8, "Jo"],
[157,  6,102, "Ma"],
[157,  8,100, "Da2"],
[157, 20, 88, "Da2"],
[157, 21, 87, "Da2"],
[158, 13, 95, "Gur"],
[158, 17, 91, "Gur"],
[159,  9,100, "Da2"],
[159, 12, 97, "Gur"],
[159, 15, 94, "Gur"],
[159, 16, 93, "Gur"],
[159, 24, 86, "Da9"],
[159, 25, 85, "Da9"],
[159,109, 28, "sp"],
[160,  8,102, "Gur"],
[160, 20, 90, "Da2"],
[160, 21, 89, "Da2"],
[160, 97, 38, "sp"],
[160,102, 34, "sp"],
[161,  6,105, "Gur"],
[161, 13, 97, "Gur"],
[161, 14, 96, "Da2"],
[161, 17, 93, "Gur"],
[161, 24, 87, "Da9"],
[162,  9,102, "Gur"],
[162, 12, 99, "Gur"],
[162, 16, 95, "Gur"],
[162, 21, 90, "Da2"],
[163,  8,104, "Gur"],
[163, 11,101, "Gur"],
[163, 20, 92, "Da2"],
[163,110, 30, "sp"],
[163,134, 14, "sp"],
[164, 13, 99, "Gur"],
[164, 14, 98, "Gur"],
[164, 17, 95, "Gur"],
[164, 24, 89, "Da9"],
[165,  7,107, "Da6"],
[165,  9,104, "Gur"],
[165, 12,101, "Gur"],
[165, 16, 97, "Gur"],
[165, 21, 92, "Da2"],
[165, 99, 40, "sp"],
[165,104, 36, "sp"],
[166,  8,106, "Da2"],
[166, 20, 94, "Da2"],
[166,110, 32, "Jo"],
[166,144, 10, "sp"],
[167, 13,101, "Da2"],
[167, 14,100, "Da2"],
[167, 17, 97, "Gur"],
[167, 18, 96, "Da2"],
[167, 24, 91, "Da9"],
[167, 25, 90, "Da9"],
[168,  9,106, "Da2"],
[168, 12,103, "Gur"],
[168, 16, 99, "Gur"],
[168, 21, 94, "Da2"],
[168,123, 24, "sp"],
[168,126, 22, "sp"],
[168,129, 20, "Jo"],
[169, 13,102, "Gur"],
[169,105, 38, "sp"],
[170,  9,107, "Gur"],
[170, 17, 99, "Gur"],
[170, 18, 98, "Da2"],
[170, 24, 93, "Da9"],
[170, 25, 92, "Da9"],
[170,111, 34, "Jo"],
[170,122, 26, "sp"],
[171, 12,105, "Gur"],
[171, 16,101, "Gur"],
[171, 20, 97, "Da2"],
[171, 21, 96, "Da2"],
[171,120, 28, "Jo"],
[172,  8,110, "Gur"],
[172, 13,104, "Gur"],
[172, 25, 93, "Da9"],
[172,136, 18, "sp"],
[172,162,  4, "sp"],
[173,  9,109, "Gur"],
[173, 15,103, "Gur"],
[173, 17,101, "Gur"],
[173, 18,100, "Da2"],
[173, 24, 95, "Da9"],
[174, 12,107, "Gur"],
[174, 20, 99, "Da2"],
[174, 21, 98, "Da2"],
[174, 22, 97, "Da2"],
[174,107, 40, "sp"],
[174,112, 36, "Jo"],
[174,120, 30, "Jo"],
[175,  8,112, "Da2"],
[175, 13,106, "Gur"],
[175, 17,102, "Da2"],
[175, 24, 96, "Da2"],
[175, 25, 95, "Da9"],
[175,103, 44, "Jo"],
[176,  9,111, "Gur"],
[176, 15,105, "Gur"],
[176, 21, 99, "Da2"],
[177, 12,109, "Gur"],
[177, 20,101, "Da2"],
[177,120, 32, "Jo"],
[177,151, 12, "sp"],
[178,  8,114, "Gur"],
[178, 13,108, "Gur"],
[178, 14,107, "Gur"],
[178, 17,104, "Da2"],
[178, 18,103, "Da2"],
[178, 24, 98, "Da9"],
[178, 25, 97, "Da9"],
[178,145, 16, "sp"],
[179,  9,113, "Gur"],
[179, 21,101, "Da2"],
[179,109, 42, "sp"],
[179,114, 38, "sp"],
[180, 12,111, "Gur"],
[181,  8,116, "Da9"],
[181, 13,110, "Gur"],
[181, 14,109, "Gur"],
[181, 17,106, "Da2"],
[181, 18,105, "Da2"],
[181, 24,100, "Da9"],
[181, 25, 99, "Da9"],
[181,106, 46, "sp"],
[181,121, 34, "sp"],
[182, 21,103, "Da2"],
[182, 22,102, "Da2"],
[183,  9,115, "Gur"],
[183, 11,114, "Gur"],
[183, 12,113, "Gur"],
[183, 25,100, "Da9"],
[183,115, 40, "Jo"],
[184,  8,118, "Da2"],
[184, 13,112, "Gur"],
[184, 14,111, "Gur"],
[184, 17,108, "Da2"],
[184, 18,107, "Da2"],
[184,111, 44, "sp"],
[184,135, 26, "sp"],
[184,138, 24, "sp"],
[184,141, 22, "Jo"],
[185, 16,110, "Gur"],
[185, 21,105, "Da2"],
[185, 22,104, "Da2"],
[185,122, 36, "sp"],
[185,133, 28, "sp"],
[186, 25,102, "Da9"],
[187,  8,120, "Gur"],
[187, 13,114, "Gur"],
[187, 14,113, "Gur"],
[187, 17,110, "Gur"],
[187, 18,109, "Da2"],
[187,132, 30, "sp"],
[188,  9,119, "Gur"],
[188, 16,112, "Da2"],
[188, 21,107, "Da2"],
[188, 22,106, "Da2"],
[188,117, 42, "sp"],
[188,148, 20, "sp"],
[189, 12,117, "Gur"],
[189, 25,104, "Da9"],
[189,113, 46, "sp"],
[189,123, 38, "sp"],
[190, 13,116, "Gur"],
[190, 14,115, "Gur"],
[190, 15,114, "Gur"],
[190, 17,112, "Gur"],
[190, 18,111, "Da2"],
[190,132, 32, "sp"],
[190,160, 14, "sp"],
[191,  7,124, "Da6"],
[191, 20,110, "Da2"],
[191, 21,109, "Da2"],
[191, 22,108, "Da2"],
[192,  9,122, "Da2"],
[192, 10,121, "Da2"],
[192, 12,119, "Gur"],
[192, 14,116, "Gur"],
[192, 18,112, "Da2"],
[192, 24,107, "Da9"],
[192, 25,106, "Da9"],
[192,118, 44, "Jo"],
[193, 13,118, "Gur"],
[193, 17,114, "Gur"],
[193, 22,109, "Da2"],
[193,124, 40, "sp"],
[193,132, 34, "sp"],
[193,156, 18, "Jo"],
[194,  8,125, "Gur"],
[194,  9,123, "Gur"],
[194, 21,111, "Da2"],
[195, 11,122, "Gur"],
[195, 12,121, "Gur"],
[195, 14,118, "Gur"],
[195, 18,114, "Da2"],
[195, 25,108, "Da9"],
[196, 13,120, "Gur"],
[196, 17,116, "Gur"],
[196, 21,112, "Da2"],
[196, 22,111, "Da2"],
[196,132, 36, "sp"],
[197,  9,125, "Gur"],
[197, 10,124, "Da2"],
[197, 25,109, "Da9"],
[197,120, 46, "Jo"],
[198, 12,123, "Gur"],
[198, 14,120, "Gur"],
[198, 18,116, "Da2"],
[198,126, 42, "sp"],
[199, 13,122, "Gur"],
[199, 17,118, "Gur"],
[199, 21,114, "Da2"],
[199, 22,113, "Da2"],
[199,117, 50, "sp"],
[200, 10,126, "Da2"],
[200, 25,111, "Da9"],
[200,133, 38, "sp"],
[200,147, 28, "sp"],
[200,150, 26, "sp"],
[200,153, 24, "Jo"],
[201, 12,125, "Gur"],
[201, 14,122, "Gur"],
[201, 17,119, "Gur"],
[201, 18,118, "DM4"],
[201,145, 30, "sp"],
[202,122, 48, "sp"],
[202,127, 44, "sp"],
[202,143, 32, "Jo"],
[203,  6,133, "Da5"],
[203,  8,131, "Gur"],
[203,  9,129, "Gur"],
[203, 10,128, "Gur"],
[204, 12,127, "Gur"],
[204, 14,124, "Gur"],
[204, 17,121, "Gur"],
[204, 21,117, "DM4"],
[204,134, 40, "sp"],
[204,160, 22, "sp"],
[204,170, 16, "sp"],
[205,143, 34, "sp"],
[206,  9,131, "Gur"],
[206, 18,121, "DM4"],
[206,183, 10, "sp"],
[206,187,  8, "sp"],
[207, 12,129, "Gur"],
[207, 13,127, "Gur"],
[207, 14,126, "Gur"],
[207, 17,123, "Gur"],
[207, 22,118, "DM4"],
[207,124, 50, "sp"],
[207,129, 46, "sp"],
[207,134, 42, "Jo"],
[208, 21,120, "DM4"],
[208,143, 36, "sp"],
[209, 18,123, "DM4"],
[209, 23,118, "DM4"],
[209, 25,117, "DM4"],
[209,168, 20, "sp"],
[210, 13,129, "Gur"],
[210, 17,125, "Gur"],
[210, 22,120, "DM4"],
[211,130, 48, "sp"],
[211,143, 38, "sp"],
[212,  9,135, "Gur"],
[212, 10,134, "Gur"],
[212, 11,133, "Gur"],
[212, 14,129, "Gur"],
[212, 18,125, "DM4"],
[212,126, 52, "sp"],
[212,136, 44, "sp"],
[212,185, 12, "Jo"],
[213, 13,131, "Gur"],
[213, 17,127, "Gur"],
[213, 22,122, "DM4"],
[213, 23,121, "DM4"],
[214, 21,124, "DM4"],
[214, 25,120, "DM4"],
[214,143, 40, "Jo"],
[215,  9,137, "Gur"],
[215, 14,131, "Gur"],
[215, 18,127, "DM4"],
[215, 22,123, "DM4"],
[215,161, 28, "Jo"],
[216, 13,133, "Gur"],
[216, 17,129, "Gur"],
[216,132, 50, "sp"],
[216,137, 46, "sp"],
[216,159, 30, "sp"],
[217, 25,122, "DM4"],
[217,157, 32, "sp"],
[217,166, 26, "sp"],
[218, 11,137, "Gur"],
[218, 14,133, "Gur"],
[218, 18,129, "DM4"],
[218, 19,128, "DM4"],
[218, 21,125, "DM4"],
[218,144, 42, "sp"],
[218,155, 34, "sp"],
[218,180, 18, "sp"],
[219, 13,135, "Gur"],
[219, 17,131, "Gur"],
[219,171, 24, "Jo"],
[220, 25,124, "DM4"],
[220,138, 48, "Jo"],
[220,154, 36, "Jo"],
[221,  8,143, "Gur"],
[221,  9,141, "Gur"],
[221, 10,140, "Gur"],
[221, 14,135, "Gur"],
[221, 18,131, "DM4"],
[221, 19,130, "DM4"],
[221,134, 52, "sp"],
[222, 13,137, "Gur"],
[222, 16,134, "Gur"],
[222, 17,133, "Gur"],
[222,130, 56, "sp"],
[222,145, 44, "sp"],
[222,191, 14, "sp"],
[222,207,  6, "sp"],
[223, 18,132, "DM4"],
[223,154, 38, "sp"],
[224,  9,143, "Gur"],
[224, 14,137, "Gur"],
[224, 22,129, "DM4"],
[224, 23,128, "DM4"],
[224,179, 22, "Jo"],
[225, 13,139, "Gur"],
[225, 16,136, "Gur"],
[225, 17,135, "Gur"],
[225, 21,131, "DM4"],
[225,140, 50, "sp"],
[226, 10,143, "Gur"],
[226,136, 54, "sp"],
[226,146, 46, "sp"],
[226,154, 40, "sp"],
[227, 14,139, "Gur"],
[227, 22,131, "DM4"],
[227, 23,130, "DM4"],
[227,132, 58, "sp"],
[228, 13,141, "Gur"],
[228, 17,137, "Gur"],
[228, 21,133, "DM4"],
[229, 10,145, "Gur"],
[229, 18,136, "DM4"],
[229, 19,135, "DM4"],
[229, 22,132, "DM4"],
[229,154, 42, "Jo"],
[230,  6,151, "DM5"],
[230,  9,147, "Gur"],
[230, 14,141, "Gur"],
[230, 15,140, "Gur"],
[230,137, 56, "Jo"],
[230,142, 52, "sp"],
[230,147, 48, "Jo"],
[231, 13,143, "Gur"],
[231, 17,139, "Gur"],
[232, 10,147, "Gur"],
[232, 14,142, "Gur"],
[232, 18,138, "DM4"],
[232, 19,137, "DM4"],
[232, 21,134, "DM4"],
[232, 23,133, "DM4"],
[232,168, 34, "sp"],
[232,171, 32, "sp"],
[232,174, 30, "sp"],
[233,  9,149, "Gur"],
[233,155, 44, "sp"],
[233,178, 28, "sp"],
[233,191, 20, "sp"],
[234, 13,145, "Gur"],
[234, 17,141, "Gur"],
[234,143, 54, "Jo"],
[234,167, 36, "sp"],
[234,199, 16, "sp"],
[235,  6,155, "Gur"],
[235, 10,149, "Gur"],
[235, 14,144, "Gur"],
[235, 18,140, "DM4"],
[235, 19,139, "DM4"],
[235,139, 58, "Jo"],
[235,149, 50, "sp"],
[235,183, 26, "Jo"],
[236,155, 46, "Jo"],
[236,166, 38, "sp"],
[237,  6,156, "Gur"],
[237, 13,147, "Gur"],
[237, 17,143, "Gur"],
[238, 10,151, "Gur"],
[238, 14,146, "Gur"],
[238, 18,142, "DM4"],
[238, 19,141, "DM4"],
[238,165, 40, "Jo"],
[239,  9,153, "Gur"],
[239, 16,145, "Gur"],
[239, 17,144, "Gur"],
[239, 21,140, "DM4"],
[239,145, 56, "sp"],
[239,150, 52, "sp"],
[240, 13,149, "Gur"],
[240,191, 24, "sp"],
[241, 10,153, "Gur"],
[241, 14,148, "Gur"],
[241, 18,144, "DM4"],
[241, 19,143, "DM4"],
[241,157, 48, "sp"],
[241,165, 42, "sp"],
[242, 16,147, "Gur"],
[242, 17,146, "Gur"],
[243,  8,158, "Gur"],
[243, 13,151, "Gur"],
[243, 19,144, "DM4"]];
